- Home
- API Enriched
- Shape
- shape
- GET Content.
GET Content.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_network_policys/example/versions/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_network_policys/example/versions/example \ --header 'Authorization: <Authorization>'GET the content of the specific policy version.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Name Name of the policy.
Number Version of the policy.
Responses
Section titled “Responses”A successful response.
object
object
object
Routing or forwarding configuration
Manual Routing value.
object
Inbound FQDN value
Required: YES.
object
object
Outbound FQDN or IP value
Required: YES.
Outbound Port value.
object
object
object
Routing or forwarding configuration
Upstream Routing value.
object
Domain Name.
Examplegenerated
{ "network_policy_content": { "manual_routing_list": { "manual_routing": [ { "domain_name": "example", "http": {}, "https": {}, "outbound_domain_name": "example", "port": 1, "protocol_http": {}, "protocol_https": {} } ] }, "upstream_routing_list": { "upstream_routing": [ { "domain_name": "example" } ] } }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example